Subject: Re: Embarassing question on linking
From: [email-masked] ("Chris Double")

26 May 1997 12:18:01 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="us-ascii"
Content-Transfer-Encoding: 7bit
X-Mailer: Microsoft Outlook Express 4.71.0544.0
Original-To: <[email-masked]>
X-Priority: 3
X-MSMail-Priority: Normal
X-MimeOLE: Produced By Microsoft MimeOLE Engine V4.71.0544.0
Original-Sender: [email-masked]

>gcc.exe: Internal compiler error: program ld got fatal signal 1
>make: *** [hellopp.exe] Error 1
>
>Now under hello.c, I have no errors,  I'm guessing that I need to do
>something to link the correct libraries which are needed under (G)C++,
>and were included by default under GCC (ansi).

You need to link against the stdc++ library. I used your source code 
and saved it as hello.cpp. The following line compiled and created
the executable a.exe:

gcc hello.cpp -lstdc++

Regards,
Chris Double.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".